Bug 102617 - Add a 'has flipped blocks' bit somewhere to optimize stuff
Summary: Add a 'has flipped blocks' bit somewhere to optimize stuff
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-18 12:00 PST by Simon Fraser (smfr)
Modified: 2015-05-06 12:37 PDT (History)
11 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2012-11-18 12:00:33 PST
canMapBetweenRenderers() has to walk renderers looking for flipped blocks, which is unfortunate because this slows down the layer->layer mapping optimization there.

A bit on RenderLayer that says "hasFlippedBlocks contents" would help.
Comment 1 Simon Fraser (smfr) 2012-11-30 20:53:27 PST
I also note that RenderBox::topLeftLocationOffset() is expensive, about 2% of the total time when scrolling a layer-heavy page. If we could do a quick check for flipped blocks, we could probably avoid the containingBlock() call and make it much faster.
Comment 2 Dave Hyatt 2015-05-06 12:37:22 PDT
I added this, so this bug can be closed.